<!--
Copyright 2018 The Chromium Authors. All rights reserved.
Use of this source code is governed by a BSD-style license that can be
found in the LICENSE file.
-->

<!doctype html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <title>Feed Internals</title>

  <link rel="stylesheet" href="chrome://resources/css/text_defaults.css">
  <link rel="stylesheet" href="feed_internals.css">

  <script src="chrome://resources/mojo/mojo/public/js/mojo_bindings_lite.js"></script>
  <script src="chrome://resources/mojo/url/mojom/url.mojom-lite.js"></script>
  <script src="chrome://resources/mojo/mojo/public/mojom/base/time.mojom-lite.js"></script>
  <script src="chrome://resources/js/assert.js"></script>
  <script src="chrome://resources/js/util.js"></script>
  <script src="feed_internals.mojom-lite.js"></script>

  <script src="feed_internals.js"></script>
</head>

<body>

  <h2>Properties</h2>
  <table>
    <tr>
      <td>Is Feed Enabled</td>
      <td id="is-feed-enabled"></td>
    </tr>
    <tr>
      <td>Is Feed Visible</td>
      <td id="is-feed-visible"></td>
    </tr>
    <tr>
      <td>Is Feed Allowed</td>
      <td id="is-feed-allowed"></td>
    </tr>
    <tr>
      <td>Is Prefetching Enabled</td>
      <td id="is-prefetching-enabled"></td>
    </tr>
    <tr>
      <td>Load Stream Status</td>
      <td id="load-stream-status"></td>
    </tr>
    <tr>
      <td>Feed Fetch URL</td>
      <td id="feed-fetch-url"></td>
    </tr>
    <tr>
      <td>Feed Actions URL</td>
      <td id="feed-actions-url"></td>
    </tr>
  </table>

  <h2>User Classifier</h2>
  <table>
    <tr>
      <td>User Class Description</td>
      <td id="user-class-description"></td>
    </tr>
    <tr>
      <td>Average Hours Between Suggestion Views</td>
      <td id="avg-hours-between-views"></td>
    </tr>
    <tr>
      <td>Average Hours Between Suggestion Uses</td>
      <td id="avg-hours-between-uses"></td>
    </tr>
  </table>
  <button id="clear-user-classification">
    Clear User Classification
  </button>

  <h2>Feed Library Actions</h2>
  <button id="refresh-feed">
    Refresh Feed
  </button>
  <button id="clear-cached-data">
    Clear Cache & Refresh Feed
  </button>

  <h2>Last Fetch</h2>
  <table>
    <tr>
      <td>Last Fetch Status</td>
      <td id="last-fetch-status"></td>
    </tr>
    <tr>
      <td>Last Fetch Trigger</td>
      <td id="last-fetch-trigger"></td>
    </tr>
    <tr>
      <td>Last Fetch Time</td>
      <td id="last-fetch-time"></td>
    </tr>
    <tr>
      <td>Refresh Suppress Time</td>
      <td id="refresh-suppress-time"></td>
    </tr>
    <tr>
      <td>Bless Nonce</td>
      <td id="last-fetch-bless-nonce"></td>
    </tr>
  </table>

  <h2>Last Action Upload</h2>
  <table>
    <tr>
      <td>Status</td>
      <td id="last-action-upload-status"></td>
    </tr>
    <tr>
      <td>Last Upload Time</td>
      <td id="last-action-upload-time"></td>
    </tr>
  </table>

  <h2>Current Content</h2>
  <div id="current-content">
    <template id="suggestion-template">
      <details>
        <summary class="title"></summary>
        <table>
          <tr>
            <td>Publisher Name</td>
            <td class="publisher"></td>
          </tr>
          <tr>
            <td>URL</td>
            <td><a class="url"></a></td>
          </tr>
          <tr>
            <td>Favicon URL</td>
            <td><a class="favicon"></a></td>
          </tr>
          <tr>
            <td>Image URL</td>
            <td><a class="image"></a></td>
          </tr>
        </table>
      </details>
    </template>
  </div>

  <h2>Feed Histograms</h2>
  <button id="load-feed-histograms">
    Load Feed Histograms
  </button>
  <details id="feed-histograms-details">
    <summary>Show/Hide</summary>
    <pre id="feed-histograms-log"></pre>
  </details>

  <h2>Feed Process Scope</h2>
  <button id="dump-feed-process-scope">
    Dump Feed Process Scope
  </button>
  <details id="feed-process-scope-details">
    <summary>Show/Hide</summary>
    <pre id="feed-process-scope-dump"></pre>
  </details>

  <h2>Feed Host Override</h2>
  <p>Cookies will be sent along with Feed requests to this host.</p>
  <input id="feed-host-override">
  <button id="feed-host-override-apply">Apply</button>

  <h2>Actions Endpoint Override (v2 only)</h2>
  <input id="actions-endpoint-override">
  <button id="actions-endpoint-override-apply">Apply</button>

  <h2>Feed Stream Data (v2 only)</h2>
  <input id="feed-stream-data-file" type="file">
  <button id="feed-stream-data-override">Override</button>

</body>
</html>
